Subject: Re: [hybi] hybi Digest, Vol 80, Issue 1

From: Scott Morgan <[email-masked]>
Date: Tue, 3 May 2016 23:25:51 -0500

Hi Martin,

  Just to respond to your comment;

>  Also, I don't think it makes sense to have different mappings for HTTP
> 1.1 and 1.0. The same most probably applies for 1.1 and 2.0, because
> they are supposed to be semantically identical.

   The main reason I went into detail in ASBP on various HTTP protocols
was the ability to send multiple frames over a connection in HTTP/2 (like
you
can over a WebSocket), which can't be done in HTTP 1.0 or 1.1.

  Also, I do think a 'Registry of Protocols Supported Over X' is a good
idea for
both WebSockets, HTTP as well as other base protocols.  It gives the
competing
protocols a level playing field / arena for discussion about their
respective pros
and cons.   In addition it provides a list of available protocols that
could be chosen from.

Regards,
Scott

On Mon, May 2, 2016 at 2:00 PM, <[email-masked]> wrote:

> Send hybi mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.ietf.org/mailman/listinfo/hybi
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of hybi digest..."
>
>
> Today's Topics:
>
>    1. Re: Sub-Registry Protocols that are not exclusive to
>       WebSockets (Martin J. D?rst)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Mon, 2 May 2016 17:36:23 +0900
> From: Martin J. D?rst <[email-masked]>
> To: Scott Morgan <[email-masked]>, <[email-masked]>
> Subject: Re: [hybi] Sub-Registry Protocols that are not exclusive to
>         WebSockets
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"; format=flowed
>
> Hello Scott,
>
> On 2016/04/29 04:15, Scott Morgan wrote:
> > Hi All,
> >
> > I just wanted to point out that there is not always a hierarchy between
> > protocols.
>
> That's a valid point, at least in theory.
>
> > For example the protocol I am working on ASBP (Asynchronous
> > Services Bus Protocol) is intended to be layered on top of any of;
> >
> > WebSockets
> >
> > Http/2
> >
> > Http 1.1
> >
> > Http 1.0
> >
> > https://datatracker.ietf.org/doc/draft-adligo-hybi-asbp/?include_text=1
> >
> >
> > In the ASBP case I would guess that I should register ASBP as a WebSocket
> > sub protocol, as well as a sub protocol for all of the above protocols.
>
> There's no registry for protocols over HTTP. My understanding is that
> this is essentially because the protocol/architecture (as explained e.g.
> by REST) of HTTP is essentially fixed, although of course it's always
> possible to find ways to bend or tweak it.
>
> Also, I don't think it makes sense to have different mappings for HTTP
> 1.1 and 1.0. The same most probably applies for 1.1 and 2.0, because
> they are supposed to be semantically identical.
>
>
> On the other hand, as far as I understand, the WebSockets sub protocol
> registry was created because WebSockets is not much more than TCP for
> the Web (the main difference to TCP being the message concept). So it
> looked prudent to create a registry to reduce the possibility of
> confusion one layer higher up.
>
> However, because WebSockets is usually used between two consenting
> parties (the browser which downloaded a Web page from a server, and that
> server), the Websockets Sub-Protocol Registry has been rather
> underutilized, and there are many usages of WebSockets without any
> explicit subprotocol.
>
> Regards,   Martin.
>
> > On the other hand perhaps the title 'Websockets Sub-Protocol Registry'
> > should be changed to 'Protocols Supported Over WebSockets' in order to
> > facilitate clarity.
> >
> >
> > Cheers,
> >
> > Scott
> >
> >
> >
> > _______________________________________________
> > hybi mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/hybi
> >
>
>
>
> ------------------------------
>
> Subject: Digest Footer
>
> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi
>
>
> ------------------------------
>
> End of hybi Digest, Vol 80, Issue 1
> ***********************************
>